import java.util.*;

/* This is a sample player that simply chooses a random move on each turn.
 * You can use this file as a template for your own code.
 */
public class MyPlayer implements Player {

    /* private variables */
    private GameRules gameRules;
    private Random random;

    /* constructor for this object must have this form */
    public MyPlayer(GameRules gameRules) {
	this.gameRules = gameRules;   // store gameRules
	random = new Random();        // initialize random number generator
    }

    /* main routine for computing the next move from given game state */
    public Move getNextMove(GameState gs) {
	Move[] moves = gameRules.legalMoves(gs);  // get all legal moves
	int r = random.nextInt(moves.length);     // pick one at random
	return moves[r];                          // return it
    }

}
