/** Specifies the interface that all players must adhere to.  In
 * particular, each player must be able to compute the next move to be
 * made from any given (reachable) state.
 */
public interface Player {
    /** Returns the move selected to be played next from the given game state
     * <tt>gs</tt>.
     * @param gs a given game state, including board position and
     * whose turn it is
     * @return the selected move
     */
    public Move getNextMove(GameState gs);
}
